<?php


// Онлайн игра "Удивительный колхоз"
// Автор: Killer
// MyGod.spaces.ru
// Игру запрещено запиливать под дугой движок без разрешения автора!
// Если игра попала в вашие руки незаконно, т.е. не из моих рук, просьба сдаться, я же всёравно вас найду!
// игру запрещено использовать как объек заработка денег (этот запрет не влияет на покупку игровой валюты)
// Ася: 746819
// имейте совесть и уважение!


$time=time();
include_once 'inc/start_sess.php';
//echo "<title>Удивительный колхоз</title>";
include_once 'inc/functions.php';



include_once 'inc/head.php';
if(!isset($ku))
{
include_once 'inc/no_auth.php';
}
include_once 'inc/start.php';

//ТЕХНИКA
include_once 'inc/tehnika.php';
//ПЕРЕХОД НА СЛЕДУЮЩИЙ УРОВЕНЬ
include_once 'inc/next_level.php';
include_once 'inc/uhead.php';
if($ku['level']>=20)
{
if(isset($_GET['get_prize']))
{
echo "<div class='event'><h1>Вы поймали сюрприз!</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_GET['gen_code']) && $_SESSION['prize']==$_GET['gen_code'] && isset($_SESSION['prize']))
{
$rr=rand(1,7);
$ku['rubies']=plus_rubies($rr);
$rm=rand(500,5000);
$ku['money']=plus_money($rm);
echo "Поздравляем! Вы поймали <img src='images/icons/ruby.png'/> <span class='title'>$rr</span>".($rm!=0?" и <img src='images/icons/money.png'/> <span class='title'>$rm</span>":null).".";
unset($_SESSION['prize']);
}
else
{
echo "Эх, не успели!";
}
echo "</div>";
include_once 'inc/foot.php';
}

$rand=rand(1,100);
if($rand==38 || $rand==67  || $rand==96)
{
$_SESSION['prize']=md5($rand);
echo "<div class='feedback'><center><img src='images/icons/ruby.png'> <a href='?get_prize=1&gen_code=".md5($rand)."'>Лови сюрприз!</a> <img src='images/icons/ruby.png'></center></div>";
}
}

include_once 'inc/shop.php';

if(isset($_GET['myfarm']))
{
include_once 'inc/myfarm.php';
}
elseif(isset($_GET['warehouse']))
{
include_once 'inc/warehouse.php';
}
elseif(isset($_GET['mypetfarm']))
{
include_once 'inc/petfarm.php';
}
elseif(isset($_GET['center']))
{
include_once 'inc/center.php';
}
elseif(isset($_GET['converter']))
{
include_once 'inc/converter.php';
}
elseif(isset($_GET['buy_plant']))
{
include_once 'inc/buy_plant.php';
}
elseif(isset($_GET['payment']))
{
include_once 'inc/payment.php';
}
elseif(isset($_GET['rating']) && !isset($_GET['collective']))
{
include_once 'inc/rating.php';
}
elseif(isset($_GET['online']))
{
include_once 'inc/online.php';
}
elseif(isset($_GET['user']) && intval($_GET['user'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['user'])."'"),0)!=0)
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['user'])."'"));
$au=$ank;
include_once 'inc/user.php';
}
elseif(isset($_GET['uf']) && intval($_GET['uf'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['uf'])."'"),0)!=0)
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['uf'])."'"));
$au=$ank;
include_once 'inc/uf.php';
}
elseif(isset($_GET['upf']) && intval($_GET['upf'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['upf'])."' AND (`level` = '10' OR `level` > '10')"),0)!=0)
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['upf'])."'"));
$au=$ank;
include_once 'inc/upf.php';
}
elseif(isset($_GET['lottery']) && $ku['level']>=35)
{
include_once 'inc/lottery.php';
}
elseif(isset($_GET['mail']))
{
include_once 'inc/mail.php';
}
elseif(isset($_GET['presents']) && intval($_GET['presents'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['presents'])."'"),0)!=0)
{
include_once 'inc/presents.php';
}
elseif(isset($_GET['perevod']) && intval($_GET['perevod'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['perevod'])."' AND `rating` < '$ku[rating]'"),0)!=0)
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['perevod'])."'"));
$anku=$ank;
include_once 'inc/perevod.php';
}
elseif(isset($_GET['perevod2']) && intval($_GET['perevod2'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['perevod2'])."'"),0)!=0 && $ku['status']==3)
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['perevod2'])."'"));
$anku=$ank;
include_once 'inc/perevod2.php';
}
elseif(isset($_GET['communication']) && intval($_GET['communication'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['communication'])."'"),0)!=0)
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['communication'])."'"));
$anku=$ank;
include_once 'inc/communication.php';
}
elseif(isset($_GET['dostig']) && intval($_GET['dostig'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['dostig'])."'"),0)!=0)
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['dostig'])."'"));
$anku=$ank;
include_once 'inc/dostig.php';
}
elseif(isset($_GET['help']) && ($_GET['help']=='plants' || $_GET['help']=='animals' || $_GET['help']=='soils'))
{
if($_GET['help']=='plants')include_once 'inc/hp.php';
elseif($_GET['help']=='animals')include_once 'inc/ha.php';
elseif($_GET['help']=='soils')include_once 'inc/hs.php';
}
elseif(isset($_GET['forum']))
{
include_once 'inc/forum.php';
}
elseif(isset($_GET['chat']))
{
include_once 'inc/chat.php';
}
elseif(isset($_GET['search']))
{
include_once 'inc/search.php';
}
elseif(isset($_GET['search_collective']))
{
include_once 'inc/search_ct.php';
}
elseif(isset($_GET['collectives']))
{
include_once 'inc/collectives.php';
}
elseif(isset($_GET['mycollective']))
{
include_once 'inc/mycollective.php';
}
elseif(isset($_GET['collective_create']))
{
include_once 'inc/collective_create.php';
}
elseif(isset($_GET['collective']) && $ct=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective` WHERE `id` = '".intval($_GET['collective'])."'")))
{
include_once 'inc/collective.php';
}
elseif(isset($_GET['goshistory']))
{
include_once 'inc/goshistory.php';
}
elseif(isset($_GET['gos']) && $goss=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_gos` WHERE `id` = '".intval($_GET['gos'])."'")))
{
include_once 'inc/gos.php';
}
elseif(isset($_GET['gos']))
{
include_once 'inc/action.php';
}
elseif(isset($_GET['comphistory']))
{
include_once 'inc/comphistory.php';
}
elseif(isset($_GET['comp']) && $comp=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_comp` WHERE `id` = '".intval($_GET['comp'])."'")))
{
include_once 'inc/comp.php';
}
elseif(isset($_GET['comp']))
{
include_once 'inc/comp_page.php';
}
elseif(isset($_GET['change_nickname']))
{
include_once 'inc/change_nick.php';
}
elseif(isset($_GET['anketa']))
{
include_once 'inc/about_me.php';
}
elseif(isset($_GET['settings']))
{
include_once 'inc/settings.php';
}
elseif(isset($_GET['smiles']))
{
include_once 'inc/smiles.php';
}
elseif(isset($_GET['friends']))
{
include_once 'inc/friends.php';
}
elseif(isset($_GET['blacklist']))
{
include_once 'inc/blacklist.php';
}
elseif(isset($_GET['support']))
{
include_once 'inc/support.php';
}
elseif(isset($_GET['zags']))
{
include_once 'zags/index.php';
}
elseif(isset($_GET['rules']))
{
include_once 'inc/rules.php';
}
elseif(isset($_GET['bank']))
{
include_once 'inc/bank.php';
}

elseif(isset($_GET['admin']) && $ku['id']==1)
{
$admin=hsc($_GET['admin']);
if($admin=='plants')$admin_name='Растения';
elseif($admin=='pets')$admin_name='Животные';
elseif($admin=='soils')$admin_name='Удобрения';
elseif($admin=='levels')$admin_name='Уровни';
elseif($admin=='gifts')$admin_name='Подарки';
else $admin_name='Админка';
if(in_array($_GET['admin'],array('pets','plants','soils','levels','gifts')))include_once 'inc/admin.'.$_GET['admin'].'.php';
else include_once 'inc/admin.list.php';
}
else include_once 'inc/myfarm.php';
include_once 'inc/foot.php';
?>